Bug 1463538 - Review-request: rubygem-recursive-open-struct: Allows nested hashes to be treated in a recursive fashion
Review-request: rubygem-recursive-open-struct: Allows nested hashes to be tre...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
hguemar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 04:22 EDT by Juan Badia Payno
Modified: 2017-07-05 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Runge 2017-06-22 05:17:56 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains Requires: ruby(release).
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE_txt.html is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/mrunge/review/1463538-rubygem-recursive-open-
     struct/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

Fonts are included in the docs package

[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     recursive-open-struct-doc
There's no reason not to install the docs package standalone, if you just want to check docs.
[?]: Package functions as described.
[!]: Latest version is packaged.

Latest release was tagged 3 hours ago.

[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
Actually it does, but not in %install section

[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-recursive-open-struct-1.0.4-1.fc27.noarch.rpm
          rubygem-recursive-open-struct-doc-1.0.4-1.fc27.noarch.rpm
          rubygem-recursive-open-struct-1.0.4-1.fc27.src.rpm
rubygem-recursive-open-struct.noarch: W: spelling-error %description -l en_US ros -> rps, rod, rs
rubygem-recursive-open-struct.noarch: W: no-documentation
rubygem-recursive-open-struct-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/recursive-open-struct-1.0.4/.document
rubygem-recursive-open-struct.src: W: spelling-error %description -l en_US ros -> rps, rod, rs
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-recursive-open-struct.noarch: W: spelling-error %description -l en_US ros -> rps, rod, rs
rubygem-recursive-open-struct.noarch: W: no-documentation
rubygem-recursive-open-struct-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/recursive-open-struct-1.0.4/.document
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
rubygem-recursive-open-struct (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-recursive-open-struct-doc (rpmlib, GLIBC filtered):
    rubygem-recursive-open-struct



Provides
--------
rubygem-recursive-open-struct:
    rubygem(recursive-open-struct)
    rubygem-recursive-open-struct

rubygem-recursive-open-struct-doc:
    rubygem-recursive-open-struct-doc



Source checksums
----------------
https://rubygems.org/gems/recursive-open-struct-1.0.4.gem :
  CHECKSUM(SHA256) this package     : 79025f5fbdcbc750aec456434479bbeb29c10adf1ae63f5e9dca227feef40e46
  CHECKSUM(SHA256) upstream package : 79025f5fbdcbc750aec456434479bbeb29c10adf1ae63f5e9dca227feef40e46


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1463538
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Juan, please add the LICENSE file to the docs subpackage as well. IMHO it would be a good idea to move %gem_install to the %install section, and please %exclude the /usr/share/gems/gems/recursive-open-struct-1.0.4/.document file/dir. 

Otherwise looks good to me
Comment 2 Matthias Runge 2017-06-22 05:19:52 EDT
Juan, could you please fix the issues, and I'll approve it. Since you're not in the packager group, I'll be your sponsor.
Comment 3 Juan Badia Payno 2017-07-05 11:03:50 EDT
Updated the spec files.
 - Added the License on the sub-package
 - Exclude the .document on the packages

The %gem_install was not moved, maybe this package does not need any compilation, but I think as there are some packages that may need it, this should be the place.
Comment 4 Matthias Runge 2017-07-05 12:53:55 EDT
ok, looks good now.

Note You need to log in before you can comment on or make changes to this bug.